Subject: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Gregory Heytings <[email-masked]>
Date: Mon, 10 May 2021 14:34:49 +0000

>> +        (let ((frame-inhibit-implied-resize t))
>> +          (set-face-attribute 'default nil :height
>> +                              (+ (face-attribute 'default :height) inc)))
>
> Why does it make sense to inhibit frame resizing in this case?  I think 
> it will make an ugly display: mode-line text will spill over, lines will 
> become wrapped, etc.
>

Because (1) it's what other programs do, (2) it's also what 
text-scale-adjust does, (3) it's much faster, (4) if you do not inhibit 
frame resizing the frame can easily become larger than your screen.  Note 
that global-text-scale-adjust uses smaller steps than text-scale-adjust, 
so the user can more easily control the potential undesirable effects.